// --------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

// ==========================================================================
// File:         TDx_Draw_Library_Install.CPP
// Authors:      BCB_Code_Generator v1.70,Darren Dwyer
// Description:  This file links all files required by the TDx_Draw_Library 
//               v1.70. 
//
// "TDx_Draw_Library v1.70"
// (c) 2003 BCB-Tools.com Pty. Ltd., Sydney, Australia.
// All Rights Reserved.
//
// Refer to the 'Licence.Txt' file for licencing & copyright information.
// ==========================================================================

#include "TDx_Draw_Library_Install.H"
// --------------------------------------------------------------------------
#pragma resource "TDx_Draw_Library_Icons.res"
// --------------------------------------------------------------------------
#pragma link "dxguid.lib"
// --------------------------------------------------------------------------
#pragma link "ddraw.lib"
// --------------------------------------------------------------------------
#pragma link "TDx_Library_Defns"
#pragma link "TDx_Library_Functions"
#pragma link "TDx_Draw_Library_Defns"
#pragma link "TDx_Draw_Library_Functions"
// --------------------------------------------------------------------------
#pragma link "TDDBltFX"
#pragma link "TDDCaps"
#pragma link "TDDColorControl"
#pragma link "TDDColorKey"
#pragma link "TDDDeviceIdentifier"
#pragma link "TDDGammaRamp"
#pragma link "TDDOverlayFX"
#pragma link "TDDPixelFormat"
#pragma link "TDDSCaps"
#pragma link "TDDSurfaceDesc"
#pragma link "TDDVideoPortBandwidth"
#pragma link "TDDVideoPortCaps"
#pragma link "TDDVideoPortConnect"
#pragma link "TDDVideoPortDesc"
#pragma link "TDDVideoPortInfo"
#pragma link "TDDVideoPortStatus"
#pragma link "TDx_Draw"
#pragma link "TDx_DrawClipper"
#pragma link "TDx_DrawColorControl"
#pragma link "TDx_DrawGammaControl"
#pragma link "TDx_DrawPalette"
#pragma link "TDx_DrawSurface"
#pragma link "TDx_DrawVideoPort"
#pragma link "TDx_DrawVideoPortContainer"
// --------------------------------------------------------------------------
namespace Tdx_draw_library_install
{
void __fastcall Register()
    {
    TComponentClass interface_classes[8] =
        {
        __classid(TDx_Draw),
        __classid(TDx_DrawClipper),
        __classid(TDx_DrawColorControl),
        __classid(TDx_DrawGammaControl),
        __classid(TDx_DrawPalette),
        __classid(TDx_DrawSurface),
        __classid(TDx_DrawVideoPort),
        __classid(TDx_DrawVideoPortContainer)
        };
    RegisterComponents( "TDx_Draw", interface_classes, 8-1 );
    // ----------------------------------------------------------------------
    TComponentClass wrapper_classes[16] =
        {
        __classid(TDDBltFX),
        __classid(TDDCaps),
        __classid(TDDColorControl),
        __classid(TDDColorKey),
        __classid(TDDDeviceIdentifier),
        __classid(TDDGammaRamp),
        __classid(TDDOverlayFX),
        __classid(TDDPixelFormat),
        __classid(TDDSCaps),
        __classid(TDDSurfaceDesc),
        __classid(TDDVideoPortBandwidth),
        __classid(TDDVideoPortCaps),
        __classid(TDDVideoPortConnect),
        __classid(TDDVideoPortDesc),
        __classid(TDDVideoPortInfo),
        __classid(TDDVideoPortStatus)
        };
    RegisterComponents( "TDx_Draw", wrapper_classes, 16-1 );
    }
}
// --------------------------------------------------------------------------
